# Class PojoMessageHandlerPartialText

java.lang.Object
org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<String>
org.apache.tomcat.websocket.pojo.PojoMessageHandlerPartialBase<String>
org.apache.tomcat.websocket.pojo.PojoMessageHandlerPartialText

All Implemented Interfaces:
  `MessageHandler, MessageHandler.Partial<String>, WrappedMessageHandler`

public class PojoMessageHandlerPartialText extends PojoMessageHandlerPartialBase<String>
Text specific concrete implementation for handling partial messages.

## Nested Class Summary

### Nested classes/interfaces inherited from interface MessageHandler

`MessageHandler.Partial<T>, MessageHandler.Whole<T>`

## Field Summary

### Fields inherited from class PojoMessageHandlerBase

`convert, indexPayload, indexSession, maxMessageSize, method, params, pojo, session`

## Constructor Summary

Constructors
Constructor
Description
`PojoMessageHandlerPartialText(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexBoolean, int indexSession, long maxMessageSize)`

## Method Summary

### Methods inherited from class PojoMessageHandlerPartialBase

`onMessage`

### Methods inherited from class PojoMessageHandlerBase

`getMaxMessageSize, getWrappedHandler, handlePojoMethodInvocationTargetException, processResult`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PojoMessageHandlerPartialText

public PojoMessageHandlerPartialText(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexBoolean, int indexSession, long maxMessageSize)